@echo off
:start
cls
echo.
echo.
echo            * * * FIFA INTERNATIONAL SOCCER DEMO * * *
echo.
echo.
echo            A.......Install Demo
echo            B.......View instructions & Playing tips
echo            C.......Exit.
echo.
echo.
what c "Enter Selection > "ABC
if %WHAT%==A Goto install
if %WHAT%==B goto readme
if %WHAT%==C goto exit
:install
cls
echo.
echo * * Hard Disk Install * *
echo.
echo Enter Drive letter to install demo to (EG. C ).
echo.
what c "Enter Drive Letter > "
echo.
cls
echo.
echo Now Installing FIFA DEMO to %what%\Fifademo
echo.
echo To run this demo in the future, be in the Fifademo
echo directory and Type : FIFA (enter)
echo.
echo Please wait.....
echo.
if exist %what%\fifademo\install.bat goto error
md %what%:\fifademo
copy demo.exe %what%:\fifademo
copy install.bat %what%:\fifademo
copy what.exe %what%:\fifademo
copy browse.com %what%:\fifademo
copy readme.txt %what%:\fifademo
%what%:
cd\fifademo
demo.exe -d
del demo.exe
cls
echo.
echo            * * SOUND SELECT * *
echo.
echo            A.......Soundblaster
echo            B.......No Sound
echo            C.......Exit
echo.
echo            Note: Type 'Sound' to re-select sound once demo has installed.
echo.
what c "Enter Selection > "ABC
echo.
cls
if %WHAT%==A Goto sound
if %WHAT%==B goto nosound
if %WHAT%==C goto exit

:sound
copy fifa.bak fifa.cfg
fifa
goto end

:nosound
copy fifa.bak fifa.cfg
del fifa.cfg
fifa
goto end

:readme
browse readme.txt
goto start

:error
cls
echo.
echo You seem to have already installed the FifaDemo.  To re-install
echo this demo, please delete the FIFADEMO subdirectory from your
echo %what% drive and run Install again.
echo.
goto end

:exit
cls
echo.
echo Dos me up.......
echo.
goto end
:end
